List all invoice versions
curl --request GET \
--url https://api.salesbricks.com/api/v2/invoices/{invoice_id}/versions \
--header 'X-SALESBRICKS-KEY: <api-key>'import requests
url = "https://api.salesbricks.com/api/v2/invoices/{invoice_id}/versions"
headers = {"X-SALESBRICKS-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-SALESBRICKS-KEY': '<api-key>'}};
fetch('https://api.salesbricks.com/api/v2/invoices/{invoice_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"versions": [
{
"invoice_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_number": "<string>",
"amount": 123,
"generated_pdf_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"buyer_address": {
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"region": "<string>",
"zip": "<string>",
"country": "<string>"
}
}
]
}{
"error": {
"code": "ERR_NOT_FOUND",
"message": "Not found — the resource you are looking for does not exist."
}
}Invoice Versions
List all invoice versions
Returns an array of past invoice versions for the specified invoice.
Each version represents a historical snapshot of the invoice at a specific point in time, including the PDF generated at that time.
Signed URLs
Each version includes a generated_url field with a signed URL that expires in 1 hour.
GET
/
invoices
/
{invoice_id}
/
versions
List all invoice versions
Authorizations
API key for authentication
Path Parameters
Pattern:
^([a-zA-Z\d\-]+)$Response
Response serializer for listing invoice versions.
Returns an array of past invoice versions.
Array of past invoice versions, ordered by created_at descending (newest first)
Show child attributes
Show child attributes
⌘I